[USRP-users] Centos 6.5 with X310??

Marcus Müller marcus.mueller at ettus.com
Tue Jul 18 20:11:11 EDT 2017


Hi Mark, Hi Martin,

nope, to my experience, the hassle of setting up PyBOMBS' requirements
and then hand-fixing the non-working PyBOMBS recipes on CentOS6.5 is not
compensated by the trouble saved. This starts with ancient python on
Centos6, continues with under-circumstances-non-SSL-capable
python-requests, continues with build time dependencies and so on.

Mark, you can of course have a prefix (i.e. something that contains a
set of libraries, most of which you've build and installed yourself) in
your CentOS6.5 that can contain a sufficiently modern python, boost,
cmake, python-mako, and so on, but to be honest, that would be like a
manually managed distro within your CentOS6.5 installation. To be
honest, CentOS 7 has been out for 3 years and 12 days; I think it might
be safe to say that it might be time to update, if you're installing new
software on your system. Full update support of CentOS6 has ceased
mid-May this year. (Security updates will continue for years; this is
RedHat-land, where security-relevant updates are guaranteed for decades,
but you can't assume that new software will work with a decade-old system.)

Best regards,

Marcus


On 18.07.2017 22:47, Martin Braun via USRP-users wrote:
> Mark,
>
> TwinRX requires UHD 3.10.0.0 minimum. See this page if your OS meets the
> requirements: http://files.ettus.com/manual/page_build_guide.html
>
> Note: We lock down the requirements per release, which means any 3.10.*
> release will have the same requirements.
>
> I think that CentOS 6.5 doesnt' meet all the requirements (maybe Boost
> is too old or something), but I'm pretty sure that people have built UHD
> on older CentOSes. Which Python version do you have? Maybe you can use
> PyBOMBS which'll automate building everything from source.
>
> Cheers,
> Martin
>
> On 07/18/2017 01:13 PM, Mark Koenig via USRP-users wrote:
>> Hi,
>>
>>  
>>
>> I am currently doing some developing and one of my goals is to be able
>> to task an x310 containing two twinRX daughter cards.
>>
>>  
>>
>> I am currently using Centos 6.5 as my linux OS; is this even possible or
>> do I need to upgrade to Centos 7.2?
>>
>>  
>>
>> If someone could lay out the minimum requirements for communication with
>> an x310 (containing 2 twinRX daughter cards) that would be fantastic as
>> I am currently having many issues.
>>
>>  
>>
>> Thank you
>>
>>  
>>
>> Mark
>>
>>
>>
>> _______________________________________________
>> USRP-users mailing list
>> USRP-users at lists.ettus.com
>> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>>
>
> _______________________________________________
> USRP-users mailing list
> USRP-users at lists.ettus.com
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com





More information about the USRP-users mailing list